Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5695 - improper upgrade
Summary: improper upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-07 19:42 UTC by Wil Harris
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-24 16:09:22 UTC


Attachments (Terms of Use)

Description Wil Harris 1999-10-07 19:42:07 UTC
During the upgrade of Linuxconf it continuely adds to the
/etc/inetd.conf file rather than checking to see if it
already has an entry. This causes the /etc/inetd.conf file
to end up looking like:

linuxconf stream tcp wait root /bin/linuxconf linuxconf
--http
#swat      stream  tcp     nowait.400      root
/usr/sbin/swat swat
#swat      stream  tcp     nowait.400      root
/usr/sbin/swat swat

linuxconf stream tcp wait root /bin/linuxconf linuxconf
--http

linuxconf stream tcp wait root /bin/linuxconf linuxconf
--http
#swat      stream  tcp     nowait.400      root
/usr/sbin/swat swat

linuxconf stream tcp wait root /bin/linuxconf linuxconf
--http

linuxconf stream tcp wait root /bin/linuxconf linuxconf
--http

linuxconf stream tcp wait root /bin/linuxconf linuxconf
--http

linuxconf stream tcp wait root /bin/linuxconf linuxconf
--http
#swat      stream  tcp     nowait.400      root
/usr/sbin/swat swat

Comment 1 Michael K. Johnson 1999-11-24 16:09:59 UTC
It used to do this, but has since been fixed.  However, we do not
attempt to remove the duplicate entries from inetd.conf, as they
are harmless and our attempts could easily do more harm than good.


Note You need to log in before you can comment on or make changes to this bug.